RotationEvent = {};
RotationEvent_mt = Class(RotationEvent, Event);

InitEventClass(RotationEvent, "RotationEvent");

function RotationEvent:emptyNew()  
    local self = Event:new(RotationEvent_mt );
    self.className="RotationEvent";
    return self;
end;

function RotationEvent:new(vehicle, direction) 
    self.vehicle = vehicle;
    self.direction = direction;
    return self;
end;

function RotationEvent:readStream(streamId, connection)  
    local id = streamReadInt32(streamId);
    self.direction = streamReadBool(streamId);
    self.vehicle = networkGetObject(id); 
    self:run(connection);  
end;

function RotationEvent:writeStream(streamId, connection)   
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
    streamWriteBool(streamId, self.direction );   
end;

function RotationEvent:run(connection) 
    self.vehicle:setRotateDirection(self.direction, true); 
	if not connection:getIsServer() then 
		g_server:broadcastEvent(RotationEvent:new(self.vehicle, self.direction), nil, connection, self.object);
	end;
end;

function RotationEvent.sendEvent(vehicle, direction, noEventSend)  
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then  
			g_server:broadcastEvent(RotationEvent:new(vehicle, direction), nil, nil, vehicle);
		else 
			g_client:getServerConnection():sendEvent(RotationEvent:new(vehicle, direction));
		end;
	end;
end; 
